<div class="modal-header">
    <h5 class="modal-title">
        Auto Heatmap
        <br>
    </h5>
    <button type="button" class="close" (click)="close();">&times;</button>
</div>
<div class="modal-body">
    <div class="row no-gutters mt-3">
        <!-- <div class="form-row col-md-12">
            <div class="form-group col">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" [checked]="heatmap_config.all_selected"
                        (click)="updateHeatmapMeasures('All', $event, '')">
                    <span class="custom-control-label test-medium-grey">All</span>
                </label>
            </div>
        </div> -->
        <ng-container *ngFor="let measure of heatmap_config.measures; let i = index;">
            <div class="mb-3 w-100">
                <div class="row m-0">
                    <div class="form-row col-md-3 pl-0 align-items-center">
                        <div class="form-group col mb-0">
                            <!-- <label class="custom-control custom-checkbox">
                                <input name="selected" type="checkbox" class="custom-control-input" [checked]="measure.selected"
                                    (click)="updateHeatmapMeasures(measure, $event, i)">
                                <span class="custom-control-label  test-medium-grey">{{measure.uniqueName}}</span>
                            </label> -->
                            <span class="test-medium-grey f-14">{{measure.uniqueName}}</span>
                        </div>
                    </div>
                    <div class="form-row col-md-4">
                        <div class="form-group col mb-0">
                            <div id="dd" class="demo-navbar-user nav-item dropdown wrap-select" ngbDropdown
                                [placement]="'bottom-right'" class="chart_color_dropdown1">
                                <a class="nav-link hide-arrow dropdown-toggle auto-math-text" href="javascript:void(0)" ngbDropdownToggle
                                    aria-expanded="true">
                                    <ul class="dropdown-item-ul1 auto-math-text" *ngIf="!measure.selected">
                                        <li>
                                            <span>Pick color scheme</span>
                                        </li>
                                    </ul>
                                    <ul class="dropdown-item-ul1 auto-math-text" *ngIf="measure.selected">
                                        <li
                                            *ngFor="let colors of heatmap_config.colors_data[measure.color_code].colors_list;index as i;">
                                            <span class="chart_color"
                                                [style.backgroundColor]="colors">{{heatmap_config.colors_data[measure.color_code].colors_config[i]}}</span>
                                        </li>
                                    </ul>
                                    <i class="fas fa-caret-down test-medium-grey"
                                        style="position: absolute;top: 12px;right: 11px;"></i>
                                </a>
                                <div ngbDropdownMenu class="py-2 wrapper-dropdown-4"
                                    style="box-shadow: 0px 3px 10px 1px #7d7d7d5c !important; width: 100%;">
                                    <a class="dropdown-item" href="javascript:void(0)" (click)="updateHeatmapMeasuresV2(measure, $event, i, -1)">
                                        <ul class="dropdown-item-ul1">
                                            <li>
                                                <span>Pick color scheme</span>
                                            </li>
                                        </ul>
                                    </a>
                                    <a class="dropdown-item" href="javascript:void(0)"
                                        *ngFor="let colors of heatmap_config.colors_data; let j = index;"
                                        (click)="updateHeatmapMeasuresV2(measure, $event, i, colors.color_index)">
                                        <ul class="dropdown-item-ul1">
                                            <li *ngFor="let col of colors.colors_list;index as i;"><span class="chart_color"
                                                    [style.background]="col">{{colors.colors_config[i]}}</span></li>
                                        </ul>
                                    </a>
                                    <!-- <a class="dropdown-item" href="javascript:void(0)" *ngFor="let colors of heatmap_config.colors_data; let j = index;"
                                        (click)="measure.color_code = colors.color_index">
                                        <ul class="dropdown-item-ul1">
                                            <li *ngFor="let col of colors.colors_list;index as i;"><span class="chart_color"
                                                    [style.background]="col">{{colors.colors_config[i]}}</span></li>
                                        </ul>
                                    </a> -->
                                </div>
        
                            </div>
                        </div>
                    </div>
                    <div class="form-row col-md-5 ml-3 pr-0 align-items-center input-group test-medium-grey">
                        Min.<input [disabled]="!measure.selected || measure.color_code==3" type="number" placeholder="#"
                            class="form-control col ml-2" [(ngModel)]="measure.min"
                            style="min-height:20px;max-height:30px;width: 115px;" />
                        <input [disabled]="!measure.selected || measure.color_code==3" type="number" placeholder="#" class="form-control col mr-2"
                            [(ngModel)]="measure.max" style="min-height:20px;max-height:30px;width: 115px;" />Max.
                    </div>
                   
                </div>
                <div class="row">
                    <div class="col-md-3"></div>
                    <div class="col-md-4"></div>
                    <div class="form-row col-md-5 align-items-center pt-1">
                        <div class="form-group row mb-0">
                            <label class="custom-control custom-checkbox mb-0" style="padding-left:65px; padding-right: 32px;">
                                <input name="high_value_curve" type="checkbox" class="custom-control-input" [checked]="measure.high_value_curve"
                                [disabled]="!measure.selected"
                                (click)="update_high_value_curve(measure, $event, i)">
                                <span class="custom-control-label  test-medium-grey">High Value Curve</span>
                            </label>
                            <label class="custom-control custom-checkbox mb-0">
                                <input name="high_value_curve" type="checkbox" class="custom-control-input" [checked]="measure.is_reverse"
                                    [disabled]="!measure.selected"
                                    (click)="update_reverse_color(measure, $event, i)">
                                <span class="custom-control-label  test-medium-grey">Reverse</span>
                            </label>
                            
                           
                            <div class="w-100 text-right" style="color:red">{{measure.error}}</div>
                        </div>
                    </div>
                    <!-- <div class="form-row col-md-12">
                        <div class="w-100 text-right" style="color:red">{{measure.error}}</div>
                    </div> -->
                </div>
            </div>
        </ng-container>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-default" (click)="close();">Cancel</button>
    <button type="button" class="btn btn-primary btn-material" (click)="applyHeatMap();">Apply</button>
</div>